Add Android SDK

This SDK aims at easily embedding Brid videos on your Android application. It's based on ExoPlayer and supports Android 5.0 (API level 21) and later.

Gradle

The easiest way to get started using Brid Player is to add it as a gradle dependency. First, you need to add maven repository to the build.gradle file in the root of your project:

repositories {
  ...
    mavenCentral()
  ...
}

Next, add a gradle compile dependency to the build.gradle file of your app module:

ext.bridPlayerVer = '1.1'

dependencies {
  ...   
  implementation 'tv.brid.sdk:bridsdk$bridPlayerVer'
  ...
}

In the app build.gradle file:
Add the dependencies. When prompted by Android Studio, update the dependency versions.
Configure _compileOptions _to support Java 8 language support.

android {
    defaultConfig {
        ...
        minSdkVersion 21
        multiDexEnabled true
    }
    ...
    compileOptions {
        sourceCompatibility = '1.8' //minimum version
        targetCompatibility = '1.8' //minimum version
    }
}

In the gradle.properties file, set android.useAndroidX _and _android.enableJetifier to true. These plugin files enable you to use androidx-namespaced libraries in your project.

android.useAndroidX=true
android.enableJetifier=true

πŸ“˜

If you are using a current version of Android Studio, the gradle.properties file should already contain these settings.

Sync Gradle


What’s Next